# General fields
# ACCOUNTHOLDER: AN50
account_holder:
    type: alphanumeric
    length: 50
# ACCOUNTNAME: AN35
account_name:
    type: alphanumeric
    length: 35
# ACCOUNTNUMBER: AN30
account_number:
    type: alphanumeric
    length: 30
# ADDRESSLINE1E: AN35
address_line_1e:
    type: alphanumeric
    length: 35
# ADDRESSLINE2: AN35
address_line_2:
    type: alphanumeric
    length: 35
# ADDRESSLINE3: AN35
address_line_3:
    type: alphanumeric
    length: 35
# ADDRESSLINE4: AN35
address_line_4:
    type: alphanumeric
    length: 35
# ATTEMPTID: N5
attempt_id:
    type: numeric
    length: 5
# Did not find this one
# AUTHORISATIONID: AN18
authorization_id:
    type: alphanumeric
    length: 18
# AMOUNT: N12
amount:
    type: numeric
    length: 12
# BANKACCOUNTNUMBER: AN50
bank_account_number:
    type: alphanumeric
    length: 50
# BANKAGENZIA: AN30
bank_agenzia:
    type: alphanumeric
    length: 30
# BANKCHECKDIGIT: AN2
bank_check_digit:
    type: alphanumeric
    length: 2
# BANKCODE: N5
bank_code:
    type: numeric
    length: 5
# BANKFILIALE: AN30
bank_filiale:
    type: alphanumeric
    length: 30
# BANKNAME: AN40
bank_name:
    type: alphanumeric
    length: 40
# BRANCHCODE: N5
branch_code:
    type: numeric
    length: 5
# CITY: AN40
city:
    type: alphanumeric
    length: 40
# COUNTRYCODE: AN2
country:
    type: alphanumeric
    length: 2
# COUNTRYCODEBANK: AN2
country_code_bank:
    type: alphanumeric
    length: 2
# COUNTRYDESCRIPTION: AN50
country_description:
    type: alphanumeric
    length: 50
# CUSTOMERBANKCITY: AN50
customer_bank_city:
    type: alphanumeric
    length: 50
# CUSTOMERBANKSTREET: AN30
customer_bank_street:
    type: alphanumeric
    length: 30
# CUSTOMERBANKNUMBER: N5
customer_bank_number:
    type: numeric
    length: 5
# CUSTOMERBANKZIP: AN10
customer_bank_zip:
    type: alphanumeric
    length: 10
# CREDITCARDNUMBER: N19
card_num:
    type: numeric
    length: 19
# CURRENCYCODE: AN3
currency:
    type: alphanumeric
    length: 3
# CVV: N4
cvv:
    type: numeric
    length: 4
# DATECOLLECT: D8 YYYYMMDD
date_collect:
    type: date
    length: 8
# DIRECTDEBITTEXT: AN50
direct_debit_text:
    type: alphanumeric
    length: 50
# DOMICILIO: AN30
domicilio:
    type: alphanumeric
    length: 30
# EFFORTID: N5
effort_id:
    type: numeric
    length: 5
# EMAIL: AN70
email:
    type: alphanumeric
    length: 70
# EXPIRYDATE: N4 MMYY
expiration:
    type: numeric
    length: 4
# FIRSTNAME: AN15
first_name:
    type: alphanumeric
    length: 15
# IBAN: AN50 (AN21 on direct debit)
iban:
    type: alphanumeric
    length: 50
# IPADDRESS: AN32
user_ip:
    type: alphanumeric
    length: 32
# ISSUERID: AN11
issuer_id:
    type: alphanumeric
    length: 11
# LANGUAGECODE: AN2
language:
    type: alphanumeric
    length: 2
# ORDERID: N10
order_id:
    type: numeric
    length: 10
# PAYMENTPRODUCTID
payment_product:
    type: numeric
    length: 5
# PAYMENTREFERENCE: AN20
payment_reference:
    type: alphanumeric
    length: 20
# PROVINCIA: AN30
provincia:
    type: alphanumeric
    length: 30
# RETURNURL: AN512
returnto:
    type: alphanumeric
    length: 512
# SPECIALID: AN255
special_id:
    type: alphanumeric
    length: 255
# STATE: AN35
state_province:
    type: alphanumeric
    length: 35
# STREET: AN50
street_address:
    type: alphanumeric
    length: 50
# SURNAME: AN35
last_name:
    type: alphanumeric
    length: 35
# SWIFTCODE: AN255
# This is AN11 for several payment types we are not dealing with yet.
swift_code:
    type: alphanumeric
    length: 255
# TRANSACTIONTYPE: AN2
transaction_type:
    type: alphanumeric
    length: 2
# ZIP: AN10
postal_code:
    type: alphanumeric
    length: 10

